Subject: Re: [PATCH v2 0/5] fast-import: extend signed object handling modes

From: Justin Tobler <[email-masked]>
Date: Tue, 31 Mar 2026 18:18:02 -0500

On 26/03/31 03:11PM, Junio C Hamano wrote:
> Justin Tobler <[email-masked]> writes:
> 
> > Changes since V1:
> > - Added a prepatory patch which unifies how unsupported signing modes
> >   are handled for git-fast-export(1). Now they are treated like any
> >   other unknown signing mode. Unsupported signing modes for
> >   '--signed-tags' in git-fast-import(1) are left alone because this
> >   series progressively adds support for all these currently unsupported
> >   modes.
> 
> Even though you have this inter-iteration change log (which is very
> good), as the cover letter is not sent as a reply to the cover
> letter of the previous iteration, the mailing list archive
> 
>   https://lore.kernel.org/git/[email-masked]/
> 
> does not help us navigate to the previous iteration
> 
>   https://lore.kernel.org/git/[email-masked]/
> 
> very easily (I found the above URL by cheating---I looked at notes/amlog
> for a commit from previous iteration jt/fast-import-signed-modes@{1}---but
> that is not for everybody).

Apologies, I should have payed more attention when sending. Thanks for
linking the previous iteration.

> Looks like I was the only one who was interested enough to comment
> on the patches over these two iterations, which is a bit sad, but I
> think the patches are fairly cleanly done and are ready for 'next'.
> 
> Let me mark the topic as such in the "What's cooking" report.

Thanks,
-Justin